{
  "schema_version": "1.4.0",
  "id": "GHSA-rj5f-q94x-7mf7",
  "modified": "2025-04-12T13:03:16Z",
  "published": "2022-05-17T01:16:35Z",
  "aliases": [
    "CVE-2016-3078"
  ],
  "details": "Multiple integer overflows in php_zip.c in the zip extension in PHP before 7.0.6 allow remote attackers to cause a denial of service (heap-based buffer overflow and application crash) or possibly have unspecified other impact via a crafted call to (1) getFromIndex or (2) getFromName in the ZipArchive class.",
  "severity": [
    {
      "type": "CVSS_V3",
      "score": "CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H"
    }
  ],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2016-3078"
    },
    {
      "type": "WEB",
      "url": "https://github.com/php/php-src/commit/3b8d4de300854b3517c7acb239b84f7726c1353c?w=1"
    },
    {
      "type": "WEB",
      "url": "https://bugs.php.net/bug.php?id=71923"
    },
    {
      "type": "WEB",
      "url": "https://php.net/ChangeLog-7.php"
    },
    {
      "type": "WEB",
      "url": "https://security-tracker.debian.org/tracker/CVE-2016-3078"
    },
    {
      "type": "WEB",
      "url": "https://www.exploit-db.com/exploits/39742"
    },
    {
      "type": "WEB",
      "url": "http://www.openwall.com/lists/oss-security/2016/04/28/1"
    },
    {
      "type": "WEB",
      "url": "http://www.securitytracker.com/id/1035701"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-190"
    ],
    "severity": "CRITICAL",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2016-08-07T10:59:00Z"
  }
}